CommandsResourceApi (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger

## Class CommandsResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.CommandsResourceApi

-     public class CommandsResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandsResourceApi()`
    `CommandsResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiCommand` | `abortCommand(BigDecimal commandId)` Abort a running command.
    `okhttp3.Call` | `abortCommandAsync(BigDecimal commandId, ApiCallback<ApiCommand> callback)` Abort a running command.
    `okhttp3.Call` | `abortCommandCall(BigDecimal commandId, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for abortCommand
    `ApiResponse<ApiCommand>` | `abortCommandWithHttpInfo(BigDecimal commandId)` Abort a running command.
    `ApiCommand` | `findCommandByCorrelationId(String correlationId, BigDecimal startTime)` Retrieve command by the correlation ID that was provided at command creation.
    `okhttp3.Call` | `findCommandByCorrelationIdAsync(String correlationId, BigDecimal startTime, ApiCallback<ApiCommand> callback)` Retrieve command by the correlation ID that was provided at command creation.
    `okhttp3.Call` | `findCommandByCorrelationIdCall(String correlationId, BigDecimal startTime, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for findCommandByCorrelationId
    `ApiResponse<ApiCommand>` | `findCommandByCorrelationIdWithHttpInfo(String correlationId, BigDecimal startTime)` Retrieve command by the correlation ID that was provided at command creation.
    `ApiClient` | `getApiClient()`
    `File` | `getCommandResultData(BigDecimal commandId)` Download the end result of a command.
    `okhttp3.Call` | `getCommandResultDataAsync(BigDecimal commandId, ApiCallback<File> callback)` Download the end result of a command.
    `okhttp3.Call` | `getCommandResultDataCall(BigDecimal commandId, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getCommandResultData
    `ApiResponse<File>` | `getCommandResultDataWithHttpInfo(BigDecimal commandId)` Download the end result of a command.
    `ApiCommandWithSteps` | `getCommandWithSteps(BigDecimal commandId)` Retrieve detailed information of an asynchronous command including the command steps.
    `okhttp3.Call` | `getCommandWithStepsAsync(BigDecimal commandId, ApiCallback<ApiCommandWithSteps> callback)` Retrieve detailed information of an asynchronous command including the command steps.
    `okhttp3.Call` | `getCommandWithStepsCall(BigDecimal commandId, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getCommandWithSteps
    `ApiResponse<ApiCommandWithSteps>` | `getCommandWithStepsWithHttpInfo(BigDecimal commandId)` Retrieve detailed information of an asynchronous command including the command steps.
    `File` | `getStandardError(BigDecimal commandId)` Download a zip-compressed archive of standard error outputs for the command's one-off processes.
    `okhttp3.Call` | `getStandardErrorAsync(BigDecimal commandId, ApiCallback<File> callback)` Download a zip-compressed archive of standard error outputs for the command's one-off processes.
    `okhttp3.Call` | `getStandardErrorCall(BigDecimal commandId, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getStandardError
    `ApiResponse<File>` | `getStandardErrorWithHttpInfo(BigDecimal commandId)` Download a zip-compressed archive of standard error outputs for the command's one-off processes.
    `File` | `getStandardOutput(BigDecimal commandId)` Download a zip-compressed archive of standard outputs for the command's one-off processes.
    `okhttp3.Call` | `getStandardOutputAsync(BigDecimal commandId, ApiCallback<File> callback)` Download a zip-compressed archive of standard outputs for the command's one-off processes.
    `okhttp3.Call` | `getStandardOutputCall(BigDecimal commandId, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getStandardOutput
    `ApiResponse<File>` | `getStandardOutputWithHttpInfo(BigDecimal commandId)` Download a zip-compressed archive of standard outputs for the command's one-off processes.
    `ApiCommand` | `readCommand(BigDecimal commandId)` Retrieve detailed information on an asynchronous command.
    `okhttp3.Call` | `readCommandAsync(BigDecimal commandId, ApiCallback<ApiCommand> callback)` Retrieve detailed information on an asynchronous command.
    `okhttp3.Call` | `readCommandCall(BigDecimal commandId, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readCommand
    `ApiCommandList` | `readCommands(BigDecimal endTime, BigDecimal limit, String name, BigDecimal offset, BigDecimal startTime, Boolean success)` Retrieve detailed information on all recent commands.
    `okhttp3.Call` | `readCommandsAsync(BigDecimal endTime, BigDecimal limit, String name, BigDecimal offset, BigDecimal startTime, Boolean success, ApiCallback<ApiCommandList> callback)` Retrieve detailed information on all recent commands.
    `okhttp3.Call` | `readCommandsCall(BigDecimal endTime, BigDecimal limit, String name, BigDecimal offset, BigDecimal startTime, Boolean success, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readCommands
    `ApiResponse<ApiCommandList>` | `readCommandsWithHttpInfo(BigDecimal endTime, BigDecimal limit, String name, BigDecimal offset, BigDecimal startTime, Boolean success)` Retrieve detailed information on all recent commands.
    `ApiResponse<ApiCommand>` | `readCommandWithHttpInfo(BigDecimal commandId)` Retrieve detailed information on an asynchronous command.
    `File` | `replicationReport(BigDecimal commandId, String type)` Get the replication report CSV files.
    `okhttp3.Call` | `replicationReportAsync(BigDecimal commandId, String type, ApiCallback<File> callback)` Get the replication report CSV files.
    `okhttp3.Call` | `replicationReportCall(BigDecimal commandId, String type, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for replicationReport
    `ApiResponse<File>` | `replicationReportWithHttpInfo(BigDecimal commandId, String type)` Get the replication report CSV files.
    `ApiCommand` | `retry(BigDecimal commandId)` Try to rerun a command.
    `okhttp3.Call` | `retryAsync(BigDecimal commandId, ApiCallback<ApiCommand> callback)` Try to rerun a command.
    `okhttp3.Call` | `retryCall(BigDecimal commandId, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for retry
    `ApiResponse<ApiCommand>` | `retryWithHttpInfo(BigDecimal commandId)` Try to rerun a command.
    `void` | `setApiClient(ApiClient apiClient)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandsResourceApi

          public CommandsResourceApi()

    - #### CommandsResourceApi

          public CommandsResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### abortCommandCall

          public okhttp3.Call abortCommandCall(BigDecimal commandId,
                                               ProgressResponseBody.ProgressListener progressListener,
                                               ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                        throws ApiException

      Build call for abortCommand
      Parameters:
        `commandId` - The command id. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### abortCommand

          public ApiCommand abortCommand(BigDecimal commandId)
                                  throws ApiException

      Abort a running command. Abort a running command.
      Parameters:
        `commandId` - The command id. (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### abortCommandWithHttpInfo

          public ApiResponse<ApiCommand> abortCommandWithHttpInfo(BigDecimal commandId)
                                                           throws ApiException

      Abort a running command. Abort a running command.
      Parameters:
        `commandId` - The command id. (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### abortCommandAsync

          public okhttp3.Call abortCommandAsync(BigDecimal commandId,
                                                ApiCallback<ApiCommand> callback)
                                         throws ApiException

      Abort a running command. (asynchronously) Abort a running command.
      Parameters:
        `commandId` - The command id. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### findCommandByCorrelationIdCall

          public okhttp3.Call findCommandByCorrelationIdCall(String correlationId,
                                                             BigDecimal startTime,
                                                             ProgressResponseBody.ProgressListener progressListener,
                                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                      throws ApiException

      Build call for findCommandByCorrelationId
      Parameters:
        `correlationId` - Correlation ID provided at command creation (required)
        `startTime` - Timestamp from which the command was started (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### findCommandByCorrelationId

          public ApiCommand findCommandByCorrelationId(String correlationId,
                                                       BigDecimal startTime)
                                                throws ApiException

      Retrieve command by the correlation ID that was provided at command creation. Retrieve command by the correlation ID that was provided at command creation. Used to recover command references when the command ID is not available.
      Parameters:
        `correlationId` - Correlation ID provided at command creation (required)
        `startTime` - Timestamp from which the command was started (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### findCommandByCorrelationIdWithHttpInfo

          public ApiResponse<ApiCommand> findCommandByCorrelationIdWithHttpInfo(String correlationId,
                                                                                BigDecimal startTime)
                                                                         throws ApiException

      Retrieve command by the correlation ID that was provided at command creation. Retrieve command by the correlation ID that was provided at command creation. Used to recover command references when the command ID is not available.
      Parameters:
        `correlationId` - Correlation ID provided at command creation (required)
        `startTime` - Timestamp from which the command was started (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### findCommandByCorrelationIdAsync

          public okhttp3.Call findCommandByCorrelationIdAsync(String correlationId,
                                                              BigDecimal startTime,
                                                              ApiCallback<ApiCommand> callback)
                                                       throws ApiException

      Retrieve command by the correlation ID that was provided at command creation. (asynchronously) Retrieve command by the correlation ID that was provided at command creation. Used to recover command references when the command ID is not available.
      Parameters:
        `correlationId` - Correlation ID provided at command creation (required)
        `startTime` - Timestamp from which the command was started (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getCommandResultDataCall

          public okhttp3.Call getCommandResultDataCall(BigDecimal commandId,
                                                       ProgressResponseBody.ProgressListener progressListener,
                                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                throws ApiException

      Build call for getCommandResultData
      Parameters:
        `commandId` - The command id. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getCommandResultData

          public File getCommandResultData(BigDecimal commandId)
                                    throws ApiException

      Download the end result of a command. Download the end result of a command. Content-Type header is explicitly set in the implementation instead of using annotation. In case the MIME type is not set for the command result, application/octet-stream is set.
      Parameters:
        `commandId` - The command id. (required)
      Returns:
        File
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getCommandResultDataWithHttpInfo

          public ApiResponse<File> getCommandResultDataWithHttpInfo(BigDecimal commandId)
                                                             throws ApiException

      Download the end result of a command. Download the end result of a command. Content-Type header is explicitly set in the implementation instead of using annotation. In case the MIME type is not set for the command result, application/octet-stream is set.
      Parameters:
        `commandId` - The command id. (required)
      Returns:
        ApiResponse<File>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getCommandResultDataAsync

          public okhttp3.Call getCommandResultDataAsync(BigDecimal commandId,
                                                        ApiCallback<File> callback)
                                                 throws ApiException

      Download the end result of a command. (asynchronously) Download the end result of a command. Content-Type header is explicitly set in the implementation instead of using annotation. In case the MIME type is not set for the command result, application/octet-stream is set.
      Parameters:
        `commandId` - The command id. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getCommandWithStepsCall

          public okhttp3.Call getCommandWithStepsCall(BigDecimal commandId,
                                                      ProgressResponseBody.ProgressListener progressListener,
                                                      ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                               throws ApiException

      Build call for getCommandWithSteps
      Parameters:
        `commandId` - The command id. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getCommandWithSteps

          public ApiCommandWithSteps getCommandWithSteps(BigDecimal commandId)
                                                  throws ApiException

      Retrieve detailed information of an asynchronous command including the command steps. Retrieve detailed information of an asynchronous command including the command steps. <p>Cloudera Manager keeps the results and statuses of asynchronous commands, which have non-negative command IDs. On the other hand, synchronous commands complete immediately, and their results are passed back in the return object of the command execution API call. Outside of that return object, there is no way to check the result of a synchronous command.</p>
      Parameters:
        `commandId` - The command id. (required)
      Returns:
        ApiCommandWithSteps
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getCommandWithStepsWithHttpInfo

          public ApiResponse<ApiCommandWithSteps> getCommandWithStepsWithHttpInfo(BigDecimal commandId)
                                                                           throws ApiException

      Retrieve detailed information of an asynchronous command including the command steps. Retrieve detailed information of an asynchronous command including the command steps. <p>Cloudera Manager keeps the results and statuses of asynchronous commands, which have non-negative command IDs. On the other hand, synchronous commands complete immediately, and their results are passed back in the return object of the command execution API call. Outside of that return object, there is no way to check the result of a synchronous command.</p>
      Parameters:
        `commandId` - The command id. (required)
      Returns:
        ApiResponse<ApiCommandWithSteps>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getCommandWithStepsAsync

          public okhttp3.Call getCommandWithStepsAsync(BigDecimal commandId,
                                                       ApiCallback<ApiCommandWithSteps> callback)
                                                throws ApiException

      Retrieve detailed information of an asynchronous command including the command steps. (asynchronously) Retrieve detailed information of an asynchronous command including the command steps. <p>Cloudera Manager keeps the results and statuses of asynchronous commands, which have non-negative command IDs. On the other hand, synchronous commands complete immediately, and their results are passed back in the return object of the command execution API call. Outside of that return object, there is no way to check the result of a synchronous command.</p>
      Parameters:
        `commandId` - The command id. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getStandardErrorCall

          public okhttp3.Call getStandardErrorCall(BigDecimal commandId,
                                                   ProgressResponseBody.ProgressListener progressListener,
                                                   ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                            throws ApiException

      Build call for getStandardError
      Parameters:
        `commandId` - The command id. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getStandardError

          public File getStandardError(BigDecimal commandId)
                                throws ApiException

      Download a zip-compressed archive of standard error outputs for the command's one-off processes. Download a zip-compressed archive of standard error outputs for the command's one-off processes. Log files are returned zipped together.
      Parameters:
        `commandId` - The command id. (required)
      Returns:
        File
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getStandardErrorWithHttpInfo

          public ApiResponse<File> getStandardErrorWithHttpInfo(BigDecimal commandId)
                                                         throws ApiException

      Download a zip-compressed archive of standard error outputs for the command's one-off processes. Download a zip-compressed archive of standard error outputs for the command's one-off processes. Log files are returned zipped together.
      Parameters:
        `commandId` - The command id. (required)
      Returns:
        ApiResponse<File>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getStandardErrorAsync

          public okhttp3.Call getStandardErrorAsync(BigDecimal commandId,
                                                    ApiCallback<File> callback)
                                             throws ApiException

      Download a zip-compressed archive of standard error outputs for the command's one-off processes. (asynchronously) Download a zip-compressed archive of standard error outputs for the command's one-off processes. Log files are returned zipped together.
      Parameters:
        `commandId` - The command id. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getStandardOutputCall

          public okhttp3.Call getStandardOutputCall(BigDecimal commandId,
                                                    ProgressResponseBody.ProgressListener progressListener,
                                                    ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                             throws ApiException

      Build call for getStandardOutput
      Parameters:
        `commandId` - The command id. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getStandardOutput

          public File getStandardOutput(BigDecimal commandId)
                                 throws ApiException

      Download a zip-compressed archive of standard outputs for the command's one-off processes. Download a zip-compressed archive of standard outputs for the command's one-off processes. Log files are returned zipped together.
      Parameters:
        `commandId` - The command id. (required)
      Returns:
        File
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getStandardOutputWithHttpInfo

          public ApiResponse<File> getStandardOutputWithHttpInfo(BigDecimal commandId)
                                                          throws ApiException

      Download a zip-compressed archive of standard outputs for the command's one-off processes. Download a zip-compressed archive of standard outputs for the command's one-off processes. Log files are returned zipped together.
      Parameters:
        `commandId` - The command id. (required)
      Returns:
        ApiResponse<File>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getStandardOutputAsync

          public okhttp3.Call getStandardOutputAsync(BigDecimal commandId,
                                                     ApiCallback<File> callback)
                                              throws ApiException

      Download a zip-compressed archive of standard outputs for the command's one-off processes. (asynchronously) Download a zip-compressed archive of standard outputs for the command's one-off processes. Log files are returned zipped together.
      Parameters:
        `commandId` - The command id. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readCommandCall

          public okhttp3.Call readCommandCall(BigDecimal commandId,
                                              ProgressResponseBody.ProgressListener progressListener,
                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                       throws ApiException

      Build call for readCommand
      Parameters:
        `commandId` - The command id. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readCommand

          public ApiCommand readCommand(BigDecimal commandId)
                                 throws ApiException

      Retrieve detailed information on an asynchronous command. Retrieve detailed information on an asynchronous command. <p>Cloudera Manager keeps the results and statuses of asynchronous commands, which have non-negative command IDs. On the other hand, synchronous commands complete immediately, and their results are passed back in the return object of the command execution API call. Outside of that return object, there is no way to check the result of a synchronous command.</p>
      Parameters:
        `commandId` - The command id. (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readCommandWithHttpInfo

          public ApiResponse<ApiCommand> readCommandWithHttpInfo(BigDecimal commandId)
                                                          throws ApiException

      Retrieve detailed information on an asynchronous command. Retrieve detailed information on an asynchronous command. <p>Cloudera Manager keeps the results and statuses of asynchronous commands, which have non-negative command IDs. On the other hand, synchronous commands complete immediately, and their results are passed back in the return object of the command execution API call. Outside of that return object, there is no way to check the result of a synchronous command.</p>
      Parameters:
        `commandId` - The command id. (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readCommandAsync

          public okhttp3.Call readCommandAsync(BigDecimal commandId,
                                               ApiCallback<ApiCommand> callback)
                                        throws ApiException

      Retrieve detailed information on an asynchronous command. (asynchronously) Retrieve detailed information on an asynchronous command. <p>Cloudera Manager keeps the results and statuses of asynchronous commands, which have non-negative command IDs. On the other hand, synchronous commands complete immediately, and their results are passed back in the return object of the command execution API call. Outside of that return object, there is no way to check the result of a synchronous command.</p>
      Parameters:
        `commandId` - The command id. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readCommandsCall

          public okhttp3.Call readCommandsCall(BigDecimal endTime,
                                               BigDecimal limit,
                                               String name,
                                               BigDecimal offset,
                                               BigDecimal startTime,
                                               Boolean success,
                                               ProgressResponseBody.ProgressListener progressListener,
                                               ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                        throws ApiException

      Build call for readCommands
      Parameters:
        `endTime` - timestamp of the command end time (optional, default to -1)
        `limit` - command count to return (from offset) (optional, default to 50)
        `name` - the command name, unique for the command class HdfsCreateSnapshotCommand#COMMAND_NAME (optional)
        `offset` - command position to start (optional, default to 0)
        `startTime` - timestamp of the command start time (optional, default to -1)
        `success` - whether the command was successful, if already finished (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readCommands

          public ApiCommandList readCommands(BigDecimal endTime,
                                             BigDecimal limit,
                                             String name,
                                             BigDecimal offset,
                                             BigDecimal startTime,
                                             Boolean success)
                                      throws ApiException

      Retrieve detailed information on all recent commands. Retrieve detailed information on all recent commands.
      Parameters:
        `endTime` - timestamp of the command end time (optional, default to -1)
        `limit` - command count to return (from offset) (optional, default to 50)
        `name` - the command name, unique for the command class HdfsCreateSnapshotCommand#COMMAND_NAME (optional)
        `offset` - command position to start (optional, default to 0)
        `startTime` - timestamp of the command start time (optional, default to -1)
        `success` - whether the command was successful, if already finished (optional)
      Returns:
        ApiCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readCommandsWithHttpInfo

          public ApiResponse<ApiCommandList> readCommandsWithHttpInfo(BigDecimal endTime,
                                                                      BigDecimal limit,
                                                                      String name,
                                                                      BigDecimal offset,
                                                                      BigDecimal startTime,
                                                                      Boolean success)
                                                               throws ApiException

      Retrieve detailed information on all recent commands. Retrieve detailed information on all recent commands.
      Parameters:
        `endTime` - timestamp of the command end time (optional, default to -1)
        `limit` - command count to return (from offset) (optional, default to 50)
        `name` - the command name, unique for the command class HdfsCreateSnapshotCommand#COMMAND_NAME (optional)
        `offset` - command position to start (optional, default to 0)
        `startTime` - timestamp of the command start time (optional, default to -1)
        `success` - whether the command was successful, if already finished (optional)
      Returns:
        ApiResponse<ApiCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readCommandsAsync

          public okhttp3.Call readCommandsAsync(BigDecimal endTime,
                                                BigDecimal limit,
                                                String name,
                                                BigDecimal offset,
                                                BigDecimal startTime,
                                                Boolean success,
                                                ApiCallback<ApiCommandList> callback)
                                         throws ApiException

      Retrieve detailed information on all recent commands. (asynchronously) Retrieve detailed information on all recent commands.
      Parameters:
        `endTime` - timestamp of the command end time (optional, default to -1)
        `limit` - command count to return (from offset) (optional, default to 50)
        `name` - the command name, unique for the command class HdfsCreateSnapshotCommand#COMMAND_NAME (optional)
        `offset` - command position to start (optional, default to 0)
        `startTime` - timestamp of the command start time (optional, default to -1)
        `success` - whether the command was successful, if already finished (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### replicationReportCall

          public okhttp3.Call replicationReportCall(BigDecimal commandId,
                                                    String type,
                                                    ProgressResponseBody.ProgressListener progressListener,
                                                    ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                             throws ApiException

      Build call for replicationReport
      Parameters:
        `commandId` - The command id. (required)
        `type` - The requested report type. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### replicationReport

          public File replicationReport(BigDecimal commandId,
                                        String type)
                                 throws ApiException

      Get the replication report CSV files. Get the replication report CSV files.
      Parameters:
        `commandId` - The command id. (required)
        `type` - The requested report type. (optional)
      Returns:
        File
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### replicationReportWithHttpInfo

          public ApiResponse<File> replicationReportWithHttpInfo(BigDecimal commandId,
                                                                 String type)
                                                          throws ApiException

      Get the replication report CSV files. Get the replication report CSV files.
      Parameters:
        `commandId` - The command id. (required)
        `type` - The requested report type. (optional)
      Returns:
        ApiResponse<File>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### replicationReportAsync

          public okhttp3.Call replicationReportAsync(BigDecimal commandId,
                                                     String type,
                                                     ApiCallback<File> callback)
                                              throws ApiException

      Get the replication report CSV files. (asynchronously) Get the replication report CSV files.
      Parameters:
        `commandId` - The command id. (required)
        `type` - The requested report type. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### retryCall

          public okhttp3.Call retryCall(BigDecimal commandId,
                                        ProgressResponseBody.ProgressListener progressListener,
                                        ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                 throws ApiException

      Build call for retry
      Parameters:
        `commandId` - ID of the command that needs to be run. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### retry

          public ApiCommand retry(BigDecimal commandId)
                           throws ApiException

      Try to rerun a command. Try to rerun a command.
      Parameters:
        `commandId` - ID of the command that needs to be run. (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### retryWithHttpInfo

          public ApiResponse<ApiCommand> retryWithHttpInfo(BigDecimal commandId)
                                                    throws ApiException

      Try to rerun a command. Try to rerun a command.
      Parameters:
        `commandId` - ID of the command that needs to be run. (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### retryAsync

          public okhttp3.Call retryAsync(BigDecimal commandId,
                                         ApiCallback<ApiCommand> callback)
                                  throws ApiException

      Try to rerun a command. (asynchronously) Try to rerun a command.
      Parameters:
        `commandId` - ID of the command that needs to be run. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2026. All rights reserved.